=== debian/changelog ===
field3d (1.6.1-2) unstable; urgency=medium

  * Update watch file, now tracks upstream tags.
  * Bump standards version to 3.9.7, no changes required.
  * Use secure VCS-Git URI.
  * Use system jquery.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 10 Feb 2016 16:00:03 +0000

field3d (1.6.1-1) unstable; urgency=low

  * Initial release. Closes: #810311

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 15 Jan 2016 09:22:07 +0000
