=== debian/control ===
Source: field3d
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Testsuite: autopkgtest
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libhdf5-dev,
               libilmbase-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/field3d.git
Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/field3d.git
Homepage: https://sites.google.com/site/field3d/

Package: field3d-bin
Architecture: any
Multi-Arch: foreign
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: command-line tools for the Field3D library
 Field3D is an open source library for storing voxel data.
 .
 It provides C++ classes that handle in-memory storage and a file format
 based on HDF5 that allows the C++ objects to be written to and read from
 disk.
 .
 This package contains the command-line tools for the Field3D library.

Package: field3d-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: documentation and examples for the Field3D library
 Field3D is an open source library for storing voxel data.
 .
 It provides C++ classes that handle in-memory storage and a file format
 based on HDF5 that allows the C++ objects to be written to and read from
 disk.
 .
 This package contains the documentation and example source code for the
 Field3D library.

Package: libfield3d1.6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for storing voxel data on disk and in memory
 Field3D is an open source library for storing voxel data.
 .
 It provides C++ classes that handle in-memory storage and a file format
 based on HDF5 that allows the C++ objects to be written to and read from
 disk.
 .
 This package contains the Field3D library.

Package: libfield3d-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libboost-system-dev,
         libboost-thread-dev,
         libfield3d1.6 (= ${binary:Version}),
         libhdf5-dev,
         libilmbase-dev,
         ${misc:Depends}
Suggests: field3d-doc
Description: development files for the Field3D library
 Field3D is an open source library for storing voxel data.
 .
 It provides C++ classes that handle in-memory storage and a file format
 based on HDF5 that allows the C++ objects to be written to and read from
 disk.
 .
 This package contains the development files for the Field3D library.
