## field3d 1.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,9 @@
 
 FIND_PACKAGE (ILMBase)
 
+# Allow the developer to select if Dynamic or Static libraries are built
+OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" ON)
+
 OPTION (INSTALL_DOCS "Automatically install documentation." ON)
 
 # Duplicate the export directory to Field3D
@@ -74,16 +77,30 @@
   ADD_DEFINITIONS ( -fPIC -DREQUIRE_IOSTREAM -Wno-invalid-offsetof )
 ENDIF ( )
 IF ( CMAKE_HOST_WIN32 )
-  ADD_DEFINITIONS ( 
-    -DOPENEXR_DLL 
-    -D_HDF5USEDLL_ 
-    -DHDF5CPP_USEDLL 
+  ADD_DEFINITIONS (
     -D_HAS_ITERATOR_DEBUGGING=0 
     -D_CRT_SECURE_NO_WARNINGS=1
     )
 ENDIF ( )
 
-ADD_LIBRARY ( Field3D SHARED
+SET ( LIB_TYPE SHARED )
+IF ( NOT BUILD_SHARED_LIBS )
+  IF ( CMAKE_HOST_WIN32 )
+  # User wants to build static libraries, so change the LIB_TYPE variable to CMake keyword 'STATIC'
+    SET ( LIB_TYPE STATIC )
+    ADD_DEFINITIONS( -DFIELD3D_STATIC )
+  ENDIF()
+ELSE ()
+  IF ( CMAKE_HOST_WIN32 )
+    ADD_DEFINITIONS (
+        -DOPENEXR_DLL
+        -D_HDF5USEDLL_
+        -DHDF5CPP_USEDLL
+        )
+  ENDIF()
+ENDIF ( NOT BUILD_SHARED_LIBS )
+
+ADD_LIBRARY ( Field3D ${LIB_TYPE}
   src/ClassFactory.cpp
   src/DenseFieldIO.cpp
   src/Field3DFile.cpp
@@ -129,7 +146,7 @@
       optimized ${lib}
       debug ${lib}_d )
   ENDFOREACH()
-  SET ( Field3D_DSO_Libraries ${Field3D_Libraries_Shared} )
+  SET ( Field3D_DSO_Libraries ${Field3D_Libraries_Shared} Shlwapi.lib)
   SET ( Field3D_BIN_Libraries Field3D ${Boost_LIBRARIES} )
 ENDIF ()
 
@@ -153,7 +170,11 @@
 
 IF ( CMAKE_HOST_WIN32 )
   SET_TARGET_PROPERTIES( Field3D PROPERTIES ENABLE_EXPORTS ON )
-  SET_TARGET_PROPERTIES( Field3D PROPERTIES COMPILE_DEFINITIONS FIELD3D_EXPORT )
+  IF ( BUILD_SHARED_LIBS )
+    SET_TARGET_PROPERTIES( Field3D PROPERTIES COMPILE_DEFINITIONS FIELD3D_EXPORT )
+  ELSE ()
+    SET_TARGET_PROPERTIES( Field3D PROPERTIES COMPILE_DEFINITIONS FIELD3D_STATIC )
+  ENDIF()
   SET_TARGET_PROPERTIES( Field3D PROPERTIES COMPILE_FLAGS -EHsc )
   SET_TARGET_PROPERTIES( Field3D PROPERTIES COMPILE_FLAGS -MD )
   SET_TARGET_PROPERTIES( Field3D PROPERTIES COMPILE_FLAGS -wd4251 )
