=== debian/changelog ===
field3d (1.6.2-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:17:28 +0000

field3d (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * d/gbp.conf: change packaging branch to debian/master (DEP-14).
  * d/watch: fix filename mangling regex.
  * d/copyright: fix text of BSD license.
  * d/control: cme fix, wrap and sort.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 15 Mar 2016 09:46:12 +0000
