=== debian/control ===
--- 
+++ 
@@ -67,12 +67,12 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libboost-system-dev,
+Depends: ${misc:Depends},
+         libboost-system-dev,
          libboost-thread-dev,
          libfield3d1.6 (= ${binary:Version}),
          libhdf5-dev,
-         libilmbase-dev,
-         ${misc:Depends}
+         libilmbase-dev
 Suggests: field3d-doc
 Description: development files for the Field3D library
  Field3D is an open source library for storing voxel data.
