=== debian/changelog ===
field3d (1.7.2-1build2) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:13:21 +0000

field3d (1.7.2-1build1) zesty; urgency=medium

  * Rebuild against new hdf5

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 29 Nov 2016 17:33:25 +0000

field3d (1.7.2-1) unstable; urgency=medium

  * Rename field3d-bin package to field3d-tools.
  * Minor improvements to control file.
    - Re-order list of binary packages.
    - Move tools package to utils section.
    - Update description for all packages.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 10 Sep 2016 23:47:36 +0100

field3d (1.7.2-1~exp2) experimental; urgency=medium

  * Disable testing on big-endian architectures.
  * Query and use DEB_HOST_MULTIARCH instead.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 10 Sep 2016 10:36:30 +0100

field3d (1.7.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop Fix-missing-include-directory.patch, applied upstream.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove unused lintian override.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 30 Jun 2016 12:39:54 +0100

field3d (1.7.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update d/copyright:
    - Add upstream contact.
    - Add copyright information for new files.
    - Update selected copyright formatting.
  * Bump soversion of shlib package.
  * Simplify lintian-overrides regex for shlib package.
  * d/gbp.conf: disable patch numbering with gbp-pq.
  * Add patch fixing FTBFS due to a missing include directory.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 13 Apr 2016 11:58:48 +0100
