=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/Field3D-$1\.tar\.gz/ \
https://github.com/imageworks/Field3D/tags .*/v?(\d\S*)\.tar\.gz
