=== SConstruct ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 # ------------------------------------------------------------------------------
 
-env = Environment()
+env = Environment(CXXFLAGS="-std=c++11")
 
 Export("env")
