=== apps/f3dinfo/SConstruct ===
# ------------------------------------------------------------------------------

env = Environment()

Export("env")

SConscript("SConscript")

# ------------------------------------------------------------------------------
