=== test/misc_tests/lib_perf_test/SConstruct ===
SConscript("SConscript")
