=== debian/changelog ===
field3d (1.7.3-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version: 4.7.2
  * d/control:
      - binary Package: field3d-doc add Multi-Arch: foreign
      - update Homepage https://github.com/imageworks/Field3D/wiki/Field3D-Home
  * d/p/fix_boost183.patch: add Forwarded: not-needed
  * d/rules: remove export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
  * d/copyright: update year info to 2025
  * rm d/libfield3d1.7t64.lintian-overrides, useless
  * add d/clean
  * add d/gbp.conf

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 18 Aug 2025 17:44:07 +0800

field3d (1.7.3-5) unstable; urgency=medium

  * Team upload.
  * d/rules: Adding -DH5_USE_110_API to CFLAGS and CXXFLAGS, Closes: #1078975
      Thanks Gilles Filippini, Pierre Gruet
  * d/gbp.conf:
      - update debian-branch = debian/sid
      - remove debian-tag line, it's the default value of gbp.conf

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 06 Jan 2025 10:05:08 +0800

field3d (1.7.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062589

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 08:35:41 +0000

field3d (1.7.3-4) unstable; urgency=medium

  * Team upload.
  * Fix compilation againts boost 1.83. (Closes: #1056082)

 -- Anton Gladky <gladk@debian.org>  Wed, 27 Dec 2023 13:39:37 +0100

field3d (1.7.3-3) unstable; urgency=medium

  * Team upload.

  * debian/control: IlmBase -> OpenEXR for -dev
  * debian/tests/: fix autopkgtests

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 04 Mar 2023 14:30:12 +0100

field3d (1.7.3-2) unstable; urgency=medium

  * Team upload.

  * Upload to unstable (Closes: #939660)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 19 Feb 2023 17:58:53 +0100

field3d (1.7.3-1) experimental; urgency=medium

  * Team upload.

  * New upstream release
  * debian/patches/: patchset updated
    - Add_OpenEXR_3.x_support.patch added (Closes: #1023719)
  * debian/: debhelper bump 9 -> 13
  * debian/control:
    - Testsuite field dropped
    - S-V bump 3.9.8 -> 4.6.2 (no changes needed)
    - RRR field set
    - Vcs-* fields updated
    - libilmbase-dev -> libopenexr-dev for bdeps
  * debian/copyright: http:// -> https://
  * debian/watch: 3 -> 4 version bump
  * debian/tests/: ADTTMP variable updated

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 19 Feb 2023 13:53:20 +0100
