=== debian/control ===
Source: field3d
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), cmake,
               debhelper-compat (= 13),
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libhdf5-dev,
               libopenexr-dev
Build-Depends-Indep: doxygen
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/imageworks/Field3D/wiki/Field3D-Home
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/field3d
Vcs-Git: https://salsa.debian.org/debian-phototools-team/field3d.git

Package: libfield3d1.7t64
Provides: ${t64:Provides}
Replaces: libfield3d1.7
Breaks: libfield3d1.7 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for storing voxel data on disk and in memory
 Field3D is an open source library for storing voxel data.
 .
 It provides C++ classes that handle in-memory storage and a file format
 based on HDF5 that allows the C++ objects to be written to and read from
 disk.
 .
 This package contains the shared libraries.

Package: libfield3d-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libboost-system-dev,
         libboost-thread-dev,
         libfield3d1.7t64 (= ${binary:Version}),
         libhdf5-dev,
         libopenexr-dev
Suggests: field3d-doc
Description: development files for Field3D
 Field3D is an open source library for storing voxel data.
 .
 It provides C++ classes that handle in-memory storage and a file format
 based on HDF5 that allows the C++ objects to be written to and read from
 disk.
 .
 This package contains the development files.

Package: field3d-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: documentation for Field3D
 Field3D is an open source library for storing voxel data.
 .
 It provides C++ classes that handle in-memory storage and a file format
 based on HDF5 that allows the C++ objects to be written to and read from
 disk.
 .
 This package contains the documentation.

Package: field3d-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: field3d-bin (<< 1.7.2-1)
Replaces: field3d-bin (<< 1.7.2-1)
Description: command-line tools for Field3D
 Field3D is an open source library for storing voxel data.
 .
 It provides C++ classes that handle in-memory storage and a file format
 based on HDF5 that allows the C++ objects to be written to and read from
 disk.
 .
 This package contains the command-line tools.
